Bug 870262 - [Broadcom wireless] Does not connect to wifi network after resume from hibernate
[Broadcom wireless] Does not connect to wifi network after resume from hibernate
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 20:43 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-04-30 23:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 23:23:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg tail during connection failure (12.06 KB, text/plain)
2012-10-25 20:44 EDT, Ankur Sinha (FranciscoD)
no flags Details
dmesg tail after reloading kernel module and successful connection to wireless network (2.15 KB, text/plain)
2012-10-25 20:45 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-10-25 20:43:57 EDT
Description of problem:
On resuming from hibernate (using pm-hibernate), the system fails to connect to a wireless network. It keeps asking for authentication, but does not connect.

Version-Release number of selected component (if applicable):
Linux ankur.pc 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

gnome-shell-3.4.1-6.fc17.x86_64
NetworkManager-0.9.4.0-9.git20120521.fc17.x86_64


How reproducible:
Always

Steps to Reproduce:
1. pm-hibernate to hibernate system
2. resume from hibernate
3.
  
Actual results:
Will continuously ask for authentication but not connect

Expected results:
Should connect to wireless network without issues

Additional info:

dmesg tail attached.


Workaround:

systemctl stop NetworkManager.service; rmmod brcmsmac; rmmod bcma; modprobe brcmsmac; systemctl start NetworkManager.service # basically stopping the service, reloading brcmsmac
Comment 1 Ankur Sinha (FranciscoD) 2012-10-25 20:44:32 EDT
Created attachment 633595 [details]
dmesg tail during connection failure
Comment 2 Ankur Sinha (FranciscoD) 2012-10-25 20:45:33 EDT
Created attachment 633596 [details]
dmesg tail after reloading kernel module and successful connection to wireless network
Comment 3 John Greene 2013-04-29 09:09:47 EDT
Ankur,
 
Have you tried a 3.8 or later kernel?  This stuff seems much improved with later kernels, i.e.

Can you try that?
Comment 4 Ankur Sinha (FranciscoD) 2013-04-30 23:23:30 EDT
John,

Hibernate isn't working for me at all at the moment :/

I'm closing this bug. I'll refile if it crops up again.

Thanks for looking into it.

Warm regards,
Ankur

Note You need to log in before you can comment on or make changes to this bug.